[Motion]

;Motion is output once a gyro value is bigger than this value / 100
;low down the threshold to make motion detection more sensitive
GyroMotionThreshold=40

;comparing successive 2 frames to judge camera motion or object motion
;Motion is output once cameraMoving block ratio is bigger than ;cameraMovingThreshold, or objectMoving block ratio is bigger than
;objectMovingThreshold, low down the thresholds to make motion detection
;more sensitive
CameraMovingThreshold=25
ObjectMovingThreshold=4


[Night]
;different threshold is used at different time of a day, low down
;the thresholds to make more night decision at specific time
NightDecisionThresholdDay=7000
NightDecisionThresholdDawn=4000
NightDecisionThresholdNight=0

;we low down the decision threshold when a night is detected in the
;previous frame, to avoid vibration, increase the following value if
;you want a night decision stays longer
NightDecisionOffset=2000

;increase the following thresholds to make more night decision
NightDarkPixelThreshold=35
NightBrightPixelThreshold=140

;once exposure is bigger than high threshold, no night
;once exposure is smaller than low threshold, night without image processing
;exposure=100, means exposure time is 1/100 second
NightExposureHighThreshold=30
NightExposureLowThreshold=10

;a night scene has big ISO, && low exposure time, && not too many bright pixels && not too big average brightness
;not too few dark pixels and not too many bright pixels
pTuningParameters->Night_brightPixelRatio=128
pTuningParameters->Night_darkPixelRatio=50
;Night_ISO is max ISO of current phone
pTuningParameters->Night_ISO=400
;Night_exposureTime is max exposure time of current phone
pTuningParameters->Night_exposureTime=20
pTuningParameters->Night_yMean=168

;a strong light night scene is a night scene and
;has not so few light source pixels, and many of the light source pixels are in image center area
;or not so few dark pixels, or not so dark
pTuningParameters->StrongLight_darkPixelRatio=70
;not percent, but 1 / 1000
pTuningParameters->StrongLight_CLSR=10
;not percent, but 1 / 1000
pTuningParameters->StrongLight_LSR=20
pTuningParameters->StrongLight_yMean=140;

;a middle light night scene is a night scene but not a strong light night scene and
;has some light source pixels, but no too dark
pTuningParameters->MiddleLight_LSR=6
pTuningParameters->MiddleLight_yMean=15

;a weak light night scene is a night scene but not a strong nor a middle light night scene and
;has some light source pixels
;not percent, but 1 / 1000
pTuningParameters->WeakLight_LSR=2





[FaceBackLight]
;threshold between face and background, increase the threshold to make
;less face backlight decision
FaceBackLightDiffThreshold=60

;when a face region is very dark and image not so dark, make decision
FaceBackLightFaceMeanTreshold=60

;In background region, there should be enough ratio of bright pixels
;increase the threshold to make less face backlight decision
FaceBackLightValidPointRatioThre=35

;to avoid vibration, when a face backlight is detected in the previous
;frame, low down the decision threshold with offset
FaceBackLightDecisionOffset=20



[Indoor]
;the miminum confidence for indoor(outdoor)~{#,~}if the confidence of test image is bigger than indoor(outdoor) confidence threshold,
;the image is classified to the indoor(outdoor) class
Indoor_Threshold_Indoor_IO=8
Indoor_Threshold_Outdoor_IO=8

[BackLight]
;we segment the dark region and bright region from the main region of the test ;image,and calcualte the average luminance of dark and bright regions ;separately
;maxinnum average luminance of dark region, if you want the algorithm more sensitive(it counld lead to more misdetection) transfer LARGE parameter,
;else transfer small parameter. (suggest 70 ~~ 80)
Backlit_Thre_Ydark=75

;miminum percentage of dark blocks in main region, if you want the algorithm more sensitive transfer SMALL parameter,
;else transfer large parameter. (suggest 15 ~~ 25)
Backlit_Thre_perDark=20

;maxinnum luminance of bright blocks in main region, if you want the algorithm more sensitive transfer SMALL parameter,
;else transfer large parameter. (suggest 185 ~~ 195)
Backlit_Thre_iYbrightMax=190

;miminum luminance of dark blocks in main region, if you want the algorithm more sensitive transfer LARGE parameter,
;else transfer small parameter. (suggest 45 ~~ 55)
Backlit_Thre_iMinDark=48

;miminum average luminance difference between dark region and bright region, if you want the algorithm more sensitive transfer SMALL parameter,
;else transfer large parameter. (suggest 90 ~~ 110)
Backlit_Thre_ContrastY=100

;miminum percentage of dark blocks in Middle region region, if you want the algorithm more sensitive transfer SMALL parameter,
;else transfer large parameter. (suggest 10 ~~ 20)
Backlit_Thre_perMiddleDark=15

;maxinnum Gradient of dark blocks in Main region, if you want the algorithm more sensitive transfer LARGE parameter,
;else transfer small parameter. (suggest 40 ~~ 60)
Backlit_Thre_darkGradient=50

[HDR]
;We define six parameters to control the recognition sensitivity of the HDR scene

;increase HDR_low_range[0 100] and HDR_high_range[0 100] can recognize more scene as HDR scenes,
;but some HDR scenes are not typical,decrease these two parameters can recognize less scenes as HDR scenes,the HDR scenes are more typical.
HDR_low_range=12
HDR_high_range=10

;decrease HDR_diff_threshold_low[0 1000] and HDR_diff_threshold_high[0 1000] can recognize more scene as HDR scenes,
;but some HDR scenes are not typical,increase these two parameters can recognize less scenes as HDR scenes,the HDR scenes are more typical.
HDR_diff_threshold_low=1000
HDR_diff_threshold_high=1000

;decrease HDR_sum_threshold_low[0 100] and HDR_sum_threshold_high[0 100] can recognize more scene as HDR scenes,
;but some HDR scenes are not typical,increase these two parameters can recognize less scenes as HDR scenes,the HDR scenes are more typical.
HDR_sum_threshold_low=100
HDR_sum_threshold_high=2

;in a HDR scene the low-light range the high-light range must have some pixels
;the minimun value[0 100] of the ratio of the pixels in the low-light range in a HDR scene
HDR_SUM_THRESHOLD_LOW_MIN=0
;the minimun value[0 100] of the ratio of the pixels in the hight-light range in a HDR scene
HDR_SUM_THRESHOLD_HIGH_MIN=0

;the minimun value[0 100] of the ratio of the pixels in the low-light range in a under exposure scene
HDR_SUM_THRESHOLD_LOW_MIN_FOR_DIFF=100
;the minimun value[0 100] of the ratio of the pixels in the hight-light range in a over exposure scene
HDR_SUM_THRESHOLD_HIGH_MIN_FOR_DIFF=100

;exposureTime high threshold and ISO low threshold of noHDR scene
HDR_noHDR_exposureTime_ThreHigh=22
HDR_noHDR_ISO_ThreLow=90

;indoor parameters
;high exposureTime threshold and low ISO threshold of indoor scene
;HDR_indoor_range_var should be [-10 10],negative:less HDR scene, positive:more HDR scene
;HDR_indoor_factor should be [0.5,1.5](ini parameters is [5,15]),less than 1:more HDR scene, more than 1:less HDR scene
HDR_indoor_exposureTime_ThreHigh=50
HDR_indoor_ISO_ThreLow=300
HDR_indoor_range_var=0
HDR_indoor_factor=10

;outdoor parameters
;low exposureTime threshold and high ISO threshold of outdoor scene
;HDR_outdoor_range_var should be [-10 10],negative:less HDR scene, positive:more HDR scene
;HDR_outdoor_factor should be [0.5,1.5](ini parameters is [5,15]),less than 1:more HDR scene, more than 1:less HDR scene
HDR_outdoor_exposureTime_ThreLow=700
HDR_outdoor_ISO_ThreHigh=100
HDR_outdoor_range_var=0
HDR_outdoor_factor=10

;for night hdr
HDR_Night_LV=500

HDR_low_range_night=16
HDR_high_range_night=8

;decrease HDR_diff_threshold_low[0 1000] and HDR_diff_threshold_high[0 1000] can recognize more scene as HDR scenes,
;but some HDR scenes are not typical,increase these two parameters can recognize less scenes as HDR scenes,the HDR scenes are more typical.
HDR_diff_threshold_low_night=1000
HDR_diff_threshold_high_night=1000

;decrease HDR_sum_threshold_low[0 100] and HDR_sum_threshold_high[0 100] can recognize more scene as HDR scenes,
;but some HDR scenes are not typical,increase these two parameters can recognize less scenes as HDR scenes,the HDR scenes are more typical.
HDR_sum_threshold_low_night=6
HDR_sum_threshold_high_night=1

;in a HDR scene the low-light range the high-light range must have some pixels
;the minimun value[0 100] of the ratio of the pixels in the low-light range in a HDR scene
HDR_SUM_THRESHOLD_LOW_MIN_night=6
;the minimun value[0 100] of the ratio of the pixels in the hight-light range in a HDR scene
HDR_SUM_THRESHOLD_HIGH_MIN_night=0

;the minimun value[0 100] of the ratio of the pixels in the low-light range in a under exposure scene
HDR_SUM_THRESHOLD_LOW_MIN_FOR_DIFF_night=15
;the minimun value[0 100] of the ratio of the pixels in the hight-light range in a over exposure scene
HDR_SUM_THRESHOLD_HIGH_MIN_FOR_DIFF_night=15

;for face hdr
HDR_reserved0=1;
HDR_reserved1=20;
HDR_reserved2=5;
HDR_reserved3=0;
HDR_reserved4=0;

;for touch hdr
HDR_reserved5=1;
HDR_reserved6=10;
HDR_reserved7=5;
HDR_reserved8=0;
HDR_reserved9=0;

HDR_reserved10=1;
HDR_reserved11=1;
HDR_reserved12=1;
HDR_reserved13=1;
HDR_reserved14=1;

HDR_cos_sim=80

[HDRmono]
;We define six parameters to control the recognition sensitivity of the HDR scene

;increase HDR_low_range[0 100] and HDR_high_range[0 100] can recognize more scene as HDR scenes,
;but some HDR scenes are not typical,decrease these two parameters can recognize less scenes as HDR scenes,the HDR scenes are more typical.
HDR_low_range=0
HDR_high_range=0

;decrease HDR_diff_threshold_low[0 1000] and HDR_diff_threshold_high[0 1000] can recognize more scene as HDR scenes,
;but some HDR scenes are not typical,increase these two parameters can recognize less scenes as HDR scenes,the HDR scenes are more typical.
HDR_diff_threshold_low=1000
HDR_diff_threshold_high=1000

;decrease HDR_sum_threshold_low[0 100] and HDR_sum_threshold_high[0 100] can recognize more scene as HDR scenes,
;but some HDR scenes are not typical,increase these two parameters can recognize less scenes as HDR scenes,the HDR scenes are more typical.
HDR_sum_threshold_low=100
HDR_sum_threshold_high=100

;in a HDR scene the low-light range the high-light range must have some pixels
;the minimun value[0 100] of the ratio of the pixels in the low-light range in a HDR scene
HDR_SUM_THRESHOLD_LOW_MIN=0
;the minimun value[0 100] of the ratio of the pixels in the hight-light range in a HDR scene
HDR_SUM_THRESHOLD_HIGH_MIN=1

;the minimun value[0 100] of the ratio of the pixels in the low-light range in a under exposure scene
HDR_SUM_THRESHOLD_LOW_MIN_FOR_DIFF=8
;the minimun value[0 100] of the ratio of the pixels in the hight-light range in a over exposure scene
HDR_SUM_THRESHOLD_HIGH_MIN_FOR_DIFF=8

;exposureTime high threshold and ISO low threshold of noHDR scene
HDR_noHDR_exposureTime_ThreHigh=22
HDR_noHDR_ISO_ThreLow=90

;indoor parameters
;high exposureTime threshold and low ISO threshold of indoor scene
;HDR_indoor_range_var should be [-10 10],negative:less HDR scene, positive:more HDR scene
;HDR_indoor_factor should be [0.5,1.5](ini parameters is [5,15]),less than 1:more HDR scene, more than 1:less HDR scene
HDR_indoor_exposureTime_ThreHigh=50
HDR_indoor_ISO_ThreLow=300
HDR_indoor_range_var=0
HDR_indoor_factor=10

;outdoor parameters
;low exposureTime threshold and high ISO threshold of outdoor scene
;HDR_outdoor_range_var should be [-10 10],negative:less HDR scene, positive:more HDR scene
;HDR_outdoor_factor should be [0.5,1.5](ini parameters is [5,15]),less than 1:more HDR scene, more than 1:less HDR scene
HDR_outdoor_exposureTime_ThreLow=700
HDR_outdoor_ISO_ThreHigh=100
HDR_outdoor_range_var=0
HDR_outdoor_factor=10

;for night hdr
HDR_Night_LV=500

HDR_low_range_night=0
HDR_high_range_night=0

;decrease HDR_diff_threshold_low[0 1000] and HDR_diff_threshold_high[0 1000] can recognize more scene as HDR scenes,
;but some HDR scenes are not typical,increase these two parameters can recognize less scenes as HDR scenes,the HDR scenes are more typical.
HDR_diff_threshold_low_night=1000
HDR_diff_threshold_high_night=1000

;decrease HDR_sum_threshold_low[0 100] and HDR_sum_threshold_high[0 100] can recognize more scene as HDR scenes,
;but some HDR scenes are not typical,increase these two parameters can recognize less scenes as HDR scenes,the HDR scenes are more typical.
HDR_sum_threshold_low_night=100
HDR_sum_threshold_high_night=100

;in a HDR scene the low-light range the high-light range must have some pixels
;the minimun value[0 100] of the ratio of the pixels in the low-light range in a HDR scene
HDR_SUM_THRESHOLD_LOW_MIN_night=8
;the minimun value[0 100] of the ratio of the pixels in the hight-light range in a HDR scene
HDR_SUM_THRESHOLD_HIGH_MIN_night=8

;the minimun value[0 100] of the ratio of the pixels in the low-light range in a under exposure scene
HDR_SUM_THRESHOLD_LOW_MIN_FOR_DIFF_night=15
;the minimun value[0 100] of the ratio of the pixels in the hight-light range in a over exposure scene
HDR_SUM_THRESHOLD_HIGH_MIN_FOR_DIFF_night=15

;for face hdr
HDR_reserved0=1;
HDR_reserved1=20;
HDR_reserved2=5;
HDR_reserved3=0;
HDR_reserved4=0;

;for touch hdr
HDR_reserved5=1;
HDR_reserved6=10;
HDR_reserved7=5;
HDR_reserved8=0;
HDR_reserved9=0;

HDR_reserved10=1;
HDR_reserved11=1;
HDR_reserved12=1;
HDR_reserved13=1;
HDR_reserved14=1;

HDR_cos_sim=80

[HDRleica]
;We define six parameters to control the recognition sensitivity of the HDR scene

;increase HDR_low_range[0 100] and HDR_high_range[0 100] can recognize more scene as HDR scenes,
;but some HDR scenes are not typical,decrease these two parameters can recognize less scenes as HDR scenes,the HDR scenes are more typical.
HDR_low_range=0
HDR_high_range=0

;decrease HDR_diff_threshold_low[0 1000] and HDR_diff_threshold_high[0 1000] can recognize more scene as HDR scenes,
;but some HDR scenes are not typical,increase these two parameters can recognize less scenes as HDR scenes,the HDR scenes are more typical.
HDR_diff_threshold_low=1000
HDR_diff_threshold_high=1000

;decrease HDR_sum_threshold_low[0 100] and HDR_sum_threshold_high[0 100] can recognize more scene as HDR scenes,
;but some HDR scenes are not typical,increase these two parameters can recognize less scenes as HDR scenes,the HDR scenes are more typical.
HDR_sum_threshold_low=100
HDR_sum_threshold_high=100

;in a HDR scene the low-light range the high-light range must have some pixels
;the minimun value[0 100] of the ratio of the pixels in the low-light range in a HDR scene
HDR_SUM_THRESHOLD_LOW_MIN=0
;the minimun value[0 100] of the ratio of the pixels in the hight-light range in a HDR scene
HDR_SUM_THRESHOLD_HIGH_MIN=1

;the minimun value[0 100] of the ratio of the pixels in the low-light range in a under exposure scene
HDR_SUM_THRESHOLD_LOW_MIN_FOR_DIFF=8
;the minimun value[0 100] of the ratio of the pixels in the hight-light range in a over exposure scene
HDR_SUM_THRESHOLD_HIGH_MIN_FOR_DIFF=8

;exposureTime high threshold and ISO low threshold of noHDR scene
HDR_noHDR_exposureTime_ThreHigh=22
HDR_noHDR_ISO_ThreLow=90

;indoor parameters
;high exposureTime threshold and low ISO threshold of indoor scene
;HDR_indoor_range_var should be [-10 10],negative:less HDR scene, positive:more HDR scene
;HDR_indoor_factor should be [0.5,1.5](ini parameters is [5,15]),less than 1:more HDR scene, more than 1:less HDR scene
HDR_indoor_exposureTime_ThreHigh=50
HDR_indoor_ISO_ThreLow=300
HDR_indoor_range_var=0
HDR_indoor_factor=10

;outdoor parameters
;low exposureTime threshold and high ISO threshold of outdoor scene
;HDR_outdoor_range_var should be [-10 10],negative:less HDR scene, positive:more HDR scene
;HDR_outdoor_factor should be [0.5,1.5](ini parameters is [5,15]),less than 1:more HDR scene, more than 1:less HDR scene
HDR_outdoor_exposureTime_ThreLow=700
HDR_outdoor_ISO_ThreHigh=100
HDR_outdoor_range_var=0
HDR_outdoor_factor=10

;for night hdr
HDR_Night_LV=500

HDR_low_range_night=0
HDR_high_range_night=0

;decrease HDR_diff_threshold_low[0 1000] and HDR_diff_threshold_high[0 1000] can recognize more scene as HDR scenes,
;but some HDR scenes are not typical,increase these two parameters can recognize less scenes as HDR scenes,the HDR scenes are more typical.
HDR_diff_threshold_low_night=1000
HDR_diff_threshold_high_night=1000

;decrease HDR_sum_threshold_low[0 100] and HDR_sum_threshold_high[0 100] can recognize more scene as HDR scenes,
;but some HDR scenes are not typical,increase these two parameters can recognize less scenes as HDR scenes,the HDR scenes are more typical.
HDR_sum_threshold_low_night=100
HDR_sum_threshold_high_night=100

;in a HDR scene the low-light range the high-light range must have some pixels
;the minimun value[0 100] of the ratio of the pixels in the low-light range in a HDR scene
HDR_SUM_THRESHOLD_LOW_MIN_night=8
;the minimun value[0 100] of the ratio of the pixels in the hight-light range in a HDR scene
HDR_SUM_THRESHOLD_HIGH_MIN_night=8

;the minimun value[0 100] of the ratio of the pixels in the low-light range in a under exposure scene
HDR_SUM_THRESHOLD_LOW_MIN_FOR_DIFF_night=15
;the minimun value[0 100] of the ratio of the pixels in the hight-light range in a over exposure scene
HDR_SUM_THRESHOLD_HIGH_MIN_FOR_DIFF_night=15

;for face hdr
HDR_reserved0=1;
HDR_reserved1=20;
HDR_reserved2=5;
HDR_reserved3=0;
HDR_reserved4=0;

;for touch hdr
HDR_reserved5=1;
HDR_reserved6=10;
HDR_reserved7=5;
HDR_reserved8=0;
HDR_reserved9=0;

HDR_reserved10=1;
HDR_reserved11=1;
HDR_reserved12=1;
HDR_reserved13=1;
HDR_reserved14=1;

HDR_cos_sim=80

[MultiDenoise]
;when iso on preview > ISOThreshold, force enter multidenoise
ISOThreshold=800
;if isMotion && ISO > ISOThresholdMotion, enter multidenoise algorithm in motion status
ISOThresholdMotion=1010
;if night result > nightResultEnter, enter multidenoise algorithm, 0 nonNight, 1 stronglight, 2 middlelight, 3 weaklight, 4 low light
nightResultEnter=0
;if night result > nightResultBrighten, enter multidenoise algorithm, and increase gain to make the image brighter
nightResultBrighten=2
;if fd result > fdResultBrighten and above conditions, do not brighten image with bigger GAIN
fdResultBrighten=0
;if face average < fdAverageBrighten and aboive conditions, brighten image with bigger GAIN
fdAverageBrighten=80
fdContrastBrighten=30
;if above conditions and imageAverage < imageAverageTarget,  brighten the image,
;newGain = oldGain * imageAverageTarget / imageAverage, newGain will not exceed 2 * oldGain
imageAverageTarget=80


[Depth]
;version index
version=4
;amount of algorithm whitch controlled by depth detection function
algoAmount=5
;pixels inside image margin are not take into consideration
marginSize=10
;if ratio of pixels that has valid depth information is smaller than validDepthPixelRatio, return depth scene code 0
validDepthPixelRatio=10
;for edof , depth pixels whose value is bigger than farLevelIndex are judged as far pixels, in milimeter
edofFarLevelIndex=1304
;for edof , depth pixels whose value is smaller than nearLevelIndex are judged as near pixels
edofNearLevelIndex=522
;for edof , depth pixels whose value is smaller than nearLevelIndex are judged as macro pixels
edofMacroLevelIndex=200
;for edof , if far pixel ratio is bigger than farRatio, farFlag is set to 1
edofFarRatio=20
;for edof , if middle pixel ratio is bigger than midRatio, midFlag is set to 1
edofMidRatio=18
;for edof , if near pixel ratio is bigger than nearRatio, nearFlag is set to 1
edofNearRatio=10
;for edof , if near pixel ratio is bigger than nearRatio, macroFlag is set to 1
edofMacroRatio=15
;for multiframe denoise , depth pixels whose value is bigger than farLevelIndex are judged as far pixels, in milimeter
mdFarLevelIndex=1304
;for multiframe denoise , depth pixels whose value is smaller than nearLevelIndex are judged as near pixels
mdNearLevelIndex=522
;for multiframe denoise , depth pixels whose value is smaller than nearLevelIndex are judged as macro pixels
mdMacroLevelIndex=50
;for multiframe denoise , if far pixel ratio is bigger than farRatio, farFlag is set to 1
mdFarRatio=20
;for multiframe denoise , if middle pixel ratio is bigger than midRatio, midFlag is set to 1
mdMidRatio=18
;for multiframe denoise , if near pixel ratio is bigger than nearRatio, nearFlag is set to 1
mdNearRatio=10
;for multiframe denoise , if near pixel ratio is bigger than nearRatio, macroFlag is set to 1
mdMacroRatio=10
;for hdr , depth pixels whose value is bigger than farLevelIndex are judged as far pixels, in milimeter
hdrFarLevelIndex=1304
;for hdr , depth pixels whose value is smaller than nearLevelIndex are judged as near pixels
hdrNearLevelIndex=522
;for hdr , depth pixels whose value is smaller than nearLevelIndex are judged as macro pixels
hdrMacroLevelIndex=50
;for hdr , if far pixel ratio is bigger than farRatio, farFlag is set to 1
hdrFarRatio=20
;for hdr , if middle pixel ratio is bigger than midRatio, midFlag is set to 1
hdrMidRatio=18
;for hdr , if near pixel ratio is bigger than nearRatio, nearFlag is set to 1
hdrNearRatio=10
;for hdr , if near pixel ratio is bigger than nearRatio, macroFlag is set to 1
hdrMacroRatio=10
;for super resolution , depth pixels whose value is bigger than farLevelIndex are judged as far pixels, in milimeter
srFarLevelIndex=1304
;for super resolution , depth pixels whose value is smaller than nearLevelIndex are judged as near pixels
srNearLevelIndex=522
;for super resolution , depth pixels whose value is smaller than nearLevelIndex are judged as macro pixels
srMacroLevelIndex=200
;for super resolution , if far pixel ratio is bigger than farRatio, farFlag is set to 1
srFarRatio=20
;for super resolution , if middle pixel ratio is bigger than midRatio, midFlag is set to 1
srMidRatio=18
;for super resolution , if near pixel ratio is bigger than nearRatio, nearFlag is set to 1
srNearRatio=10
;for super resolution , if near pixel ratio is bigger than nearRatio, macroFlag is set to 1
srMacroRatio=15

;for super resolution , depth pixels whose value is bigger than farLevelIndex are judged as far pixels, in milimeter
ippFarLevelIndex=1304
;for super resolution , depth pixels whose value is smaller than nearLevelIndex are judged as near pixels
ippNearLevelIndex=500
;for super resolution , depth pixels whose value is smaller than nearLevelIndex are judged as macro pixels
ippMacroLevelIndex=200
;for super resolution , if far pixel ratio is bigger than farRatio, farFlag is set to 1
ippFarRatio=81
;for super resolution , if middle pixel ratio is bigger than midRatio, midFlag is set to 1
ippMidRatio=81
;for super resolution , if near pixel ratio is bigger than nearRatio, nearFlag is set to 1
ippNearRatio=20
;for super resolution , if near pixel ratio is bigger than nearRatio, macroFlag is set to 1
ippMacroRatio=20

reserved8=8

[DualCamAbnormal]
;abnormal can be caused by hand occulusion, one camera is dirty, camera position change due to fall off
;threshold for left and right image mean difference
meanDiffThreshold=15
;threshold for left and right image contrast difference
contrastDiffThreshold=10
;threshold for horizontal offset of left and right image
horizontalOffsetThreshold=5
;threshold for vertical offset of left and right image
verticalOffsetThreshold=5
;threshold for horizontal projection histogram difference after offsetting image
minHorizontalDiffThreshold=20
;threshold for vertical projection histogram difference after offsetting image
minVerticalDiffThreshold=20
;threshold for different block ratio after offsetting image
blockDiffRatioThreshold=16
;the 2 blocks are different if mean difference of the 2 blocks is bigger than this
blockDiffThreshold=20
meanSameThreshold=2
;the distance between left and right image, higher threshold, less detections
distanceThreshold=36  
;to stabilize the result of dual abnormal detection
stableThreshold=5
;the similarity of the center region of the two images, if the similarity is smaller than this threshold, it's abnormal.
similarityThreshold=25

reserved13=13
reserved14=14
reserved15=15

[PureColor]
redLowLimit0=0
redHighLimit0=20
redLowLimit1=192
redHighLimit1=255
greenLowLimit=51
greenHighLimit=128
blueLowLimit=129
blueHighLimit=191
yellowLowLimit=21
yellowHighLimit=50
pureColorThr=45

[FlashHDR]
;a flash hdr scene is that flash image is not too bright and noflash image is not too dark
;and there is enough difference between flash image and noflash image
;if flash image is too bright, no flashHDR
flashAverageHighThreshold=70
;if flash image is too dark, no flashHDR
flashAverageLowThreshold=19
;if no flash image is too bright, no flashHDR
noFlashAverageHighThreshold=60
;if noFlash image is too dark, no flashHDR
noFlashAverageLowThreshold=10
;if bright area in flash image is too small, no flashHDR
flashBrightAreaThreshold=5
;if bright area in no flash image is too small, no flashHDR
noFlashBrightAreaThreshold=3
;a pixel is a bright pixel if it is brigher than brightPixelThreshold
brightPixelThreshold=50
;if big diff pixel ratio in foreground is too small, no flashHDR
foregroundDiffThreshold=10
;if big diff pixel ratio in background is too small, no flashHDR
backgroundDiffThreshold=3
;a pixel is a big diff pixel if there is big enough diff of the pixel in flash image and no flash image
pixelDiffThreshold=20;
;if flash image iso is smaller than isoThreshold, no flashHDR
isoThreshold=600;
flashHDR_reserved4=4
flashHDR_reserved5=5
flashHDR_reserved6=6
flashHDR_reserved7=7

[CCM]
ccSingleCompPixel_MaxThreshold = 220
;0-255
ccSingleCompPixel_MinThreshold = 10
;0-255
ccSingleForFaceCompPixel_MaxThreshold = 200
;0-255
ccSingleForFaceCompPixel_MinThreshold = 30
;0-255
ccSingleCompThreshold = 100
;0-100
ccSingleCompForFaceRectsThreshold = 100
;0-1000
reserved1 = 1;
reserved2 = 1;
reserved3 = 1;
reserved4 = 1;
reserved5 = 1;
reserved6 = 1;
reserved7 = 1;
reserved8 = 1;


[ZoomScene]
isoThreshold=800
zoomRatioThreshold=129
flatThreshold =100
reserved1 =1



[FunctionEnableParameters]
enableDeepModel = 0;
enableHDR = 0;
enableIndoor = 0;
enableFlashHDR = 0;
enableSaliency = 0;
enableAbnormal = 0;
reserved1 = 0;
reserved2 = 0;
reserved3 = 0;
reserved4 = 0;
reserved5 = 0;
reserved6 = 0;
reserved7 = 0;
reserved8 = 0;
reserved9 = 0;
reserved10 = 0;
reserved11 = 0;
reserved12 = 0;
reserved13 = 0;
reserved14 = 0;
reserved15 = 0;
reserved16 = 0;
reserved17 = 0;
reserved18 = 0;

[FOVCalculation]
enableFOVCalculation = 0
defaultScaleRatio_MaxThreshold = 1200
;val/1000
defaultScaleRatio_MinThreshold = 1000
;val/1000
smoothStepNum = 25
;(defaultScaleRatio_MaxThreshold-defaultScaleRatio_MinThreshold)%(4*smoothStepNum)=0
reserved1 = 1;
reserved2 = 1;
reserved3 = 1;
reserved4 = 1;
reserved5 = 1;
reserved6 = 1;















